Subject: Re: [PATCH] netconsole: allow selection of egress interface via MAC address

From: Simon Horman <[email-masked]>
Date: Fri, 13 Dec 2024 10:34:58 +0000

On Thu, Dec 12, 2024 at 03:31:54PM -0700, Uday Shankar wrote:
> On Thu, Dec 12, 2024 at 10:11:56AM +0000, Simon Horman wrote:
> > Also, as this is a new feature, I wonder if a selftest should be added.
> > Perhaps some variant of netcons_basic.sh as has been done here:
> > 
> > * [PATCH net-next 0/4] netconsole: selftest for userdata overflow
> >   https://lore.kernel.org/netdev/[email-masked]/
> 
> Sure, I can add a test. That patchset does some refactoring that I'd
> like to use though. Can it be merged? It looks like it's ready.

It is in the queue for the maintainers to decide on.
We will see :)

In any case I agree that it makes sense to base your test
on the refactoring in that series, unless that series gets
derailed for some reason.